Name:		python-passlib
Version:	1.6.5
Release:	%mkrel 2
Summary:	Comprehensive password hashing framework supporting over 20 schemes
Group:		Development/Python

License:	BSD and Beerware and Copyright only
URL:		http://passlib.googlecode.com
Source0:	https://pypi.python.org/packages/source/p/passlib/passlib-%{version}.tar.gz

BuildArch:	noarch
BuildRequires:	pkgconfig(python2)
BuildRequires:	pythonegg(2)(setuptools)
BuildRequires:	pkgconfig(python3)
BuildRequires:	pythonegg(3)(setuptools)
# docs generation requires python-cloud-sptheme, which isn't packaged yet.
# so we won't generate the docs yet.
#BuildRequires:	python-sphinx >= 1.0
#BuildRequires:	python-cloud-sptheme

%description
Passlib is a password hashing library for Python 2 & 3, which provides
cross-platform implementations of over 20 password hashing algorithms,
as well as a framework for managing existing password hashes. It's
designed to be useful for a wide range of tasks, from verifying a hash
found in /etc/shadow, to providing full-strength password hashing for
multi-user application.

%package -n python3-passlib
Summary:	Python library to display tabular data in tables
Group:		Development/Python

%description -n python3-passlib
Passlib is a password hashing library for Python 2 & 3, which provides
cross-platform implementations of over 20 password hashing algorithms,
as well as a framework for managing existing password hashes. It's
designed to be useful for a wide range of tasks, from verifying a hash
found in /etc/shadow, to providing full-strength password hashing for
multi-user application.


%prep
%setup -q -n passlib-%{version}
cp -a . %{py3dir}

%build
%py2_build

pushd %{py3dir}
%py3_build
popd


%install
pushd %{py3dir}
%py3_install
popd

%py2_install

%files
%doc CHANGES LICENSE README
%{python2_sitelib}/*

%files -n python3-passlib
%doc CHANGES LICENSE README
%{python3_sitelib}/*


%changelog
* Fri Feb 19 2016 umeabot <umeabot> 1.6.5-2.mga6
+ Revision: 970726
- Mageia 6 Mass Rebuild

* Fri Oct 09 2015 daviddavid <daviddavid> 1.6.5-1.mga6
+ Revision: 888064
- new version: 1.6.5
- update doc file list

* Fri Oct 09 2015 daviddavid <daviddavid> 1.6.1-8.mga6
+ Revision: 888059
- rebuild for python 3.5
- use new python macros

* Wed Oct 15 2014 umeabot <umeabot> 1.6.1-7.mga5
+ Revision: 744147
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.6.1-6.mga5
+ Revision: 729310
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.6.1-5.mga5
+ Revision: 688204
- Mageia 5 Mass Rebuild

* Sat May 31 2014 pterjan <pterjan> 1.6.1-4.mga5
+ Revision: 628871
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 1.6.1-3.mga4
+ Revision: 543863
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 1.6.1-2.mga4
+ Revision: 499088
- Rebuild to add different pythonegg provides for python 2 and 3

* Mon Oct 14 2013 philippem <philippem> 1.6.1-1.mga4
+ Revision: 497519
- Update to 1.6.1
- add Python 3

* Sun Jan 13 2013 umeabot <umeabot> 1.5.3-4.mga3
+ Revision: 379241
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Nov 04 2012 neoclust <neoclust> 1.5.3-3.mga3
+ Revision: 314239
- imported package python-passlib


* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Oct 17 2011 Matt Domsch <Matt_Domsch@dell.com> - 1.5.3-1
- initial release for Fedora
